#32/64)bit spec

Summary: 	Java Based Backup Client
Summary(de):	Areca Backup Datensicherungen 

Name: 		areca
Version: 	7.5
Release: 	%mkrel 1
License: 	GPL
Group:		Archiving/Backup
Source2:	%{name}-16.png
Source3:	%{name}-32.png
Source4:	%{name}-48.png
URL: 		http://sourceforge.net/projects/areca/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: wget
Requires:	task-java
Requires:	gksu

%description
Areca Backup is a file backup tool written in java.
It supports data compression & encryption, incremental
backup, file history explorer and many other features.
Areca Backup also includes a transaction mechanism
which guarantees your backups' integrity

#german
%description -l de
Areca Backup erstellt Datensicherungen wichtiger Dateien, 
Verzeichnisse oder ganzer Festplatten. Die Backups können 
als Vollbackup oder inkrementell (nur geänderte Daten) 
erfolgen. Die gesicherten Dateien können mit Areca Backup 
auf Wunsch per ZIP komprimiert und per DES oder AES 
Algorithmus verschlüsselt werden. Die Sicherung lässt sich 
auf lokale Festplatte, auf Netzwerkpfade und auch auf 
FTP/SFTP Server speichern.

%prep


%build
#nobuild

%install
%ifarch %{ix86}
cd %_sourcedir
wget -nc http://sourceforge.net/projects/areca/files/areca-stable/areca-%{version}/areca-%{version}-linux-gtk-32.tar.gz
tar -xvzf areca-%{version}-linux-gtk-32.tar.gz 
%else
cd %_sourcedir
wget -nc http://sourceforge.net/projects/areca/files/areca-stable/areca-%{version}/areca-%{version}-linux-gtk-64.tar.gz
tar -xvzf areca-%{version}-linux-gtk-64.tar.gz 
%endif

mkdir -p %{buildroot}%{_libdir}
cp -af %_sourcedir/%name %{buildroot}%{_libdir}


#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Areca Backup
Comment=%summary
Exec=gksu %{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Archiving-Backup
EOF

mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_libdir}/areca
sh areca.sh
cd /
EOF

chmod 755 %{buildroot}%{_bindir}/%{name}


mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir

install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%_miconsdir/%{name}.png
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/%_iconsdir/%{name}.png
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/%_liconsdir/%{name}.png

%post 
/sbin/ldconfig
%{update_desktop_database}

%postun 
/sbin/ldconfig
%{clean_desktop_database}

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.areca/workspace; done
for idx in $SYSUSERS
do INP1= chown -R $idx.`id -gn $idx` /home/$idx/.areca;done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/%{name}
%{_libdir}/%{name}
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed May 17 2017 bb2 <bb2> 7.5-1pclos2017
- new version

* Wed Feb 12 2014 Ken <lxgator at gmail.com> 7.4.2-1pclos2014
- 7.4.2

* Tue Feb 14 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 7.2.5-1pclos2012
- 7.2.5
- switched source to tar.xz compression

* Fri Mar 12 2010 Texstar <texstar at gmail.com> 7.1.6-2pclos2010
- fix post script to make it work oftb

* Sat Feb 13 2010 leiche <meisssw01 at aol.com> 7.1.6-1pclos2010
- update to 7.1.6

* Fri Aug 28 2009 Texstar <texstar@gmail.com> 6.0.7-2pclos2009
- fix build

* Tue Jul 27 2009 Texstar <texstar@gmail.com> 6.0.7-1pclos2009
- backdown to 6.0.7

